> For the complete documentation index, see [llms.txt](https://www.mongodb.com/docs/api/doc/atlas-app-services-admin-api-v3/llms.txt)

# Update default roles and filters

> PUT /groups/{groupId}/apps/{appId}/services/{serviceId}/default_rule
> 
> Modify the [default roles and filters](https://www.mongodb.com/docs/atlas/app-services/rules/#default-rules) of a data source.



## Servers
- The root API resource and starting point for the App Services API.: https://services.cloud.mongodb.com/api/admin/v3.0 (The root API resource and starting point for the App Services API.)


## Authentication methods
- Token auth


## Parameters

### Path parameters

- **groupId** (string)
  An Atlas [Project/Group
  ID](https://docs.atlas.mongodb.com/tutorial/manage-projects/).

- **appId** (string)
  The ObjectID of your application.
  [The App Services API Project and Application IDs section](#section/Project-and-Application-IDs) demonstrates how to find this
  value.

- **serviceId** (string)
  The unique `_id` value of a service.



### Body: application/json (object)
The updated default rule configuration object.
- **_id** (string)
  The default rule's unique ObjectId identifier.

- **roles** (array[object])
  An ordered list of default user roles.

- **filters** (array[object])
  A list of default [query filters](https://www.mongodb.com/docs/atlas/app-services/reference/config/data_sources/#filters).



## Responses
### 204
Successfully modified the default rule.

### 400
Bad Request

#### Body: application/json (object)
- **error** (string)



[Powered by Bump.sh](https://bump.sh)
